explain_puts_or_die(3)

NAME
explain_puts_or_die - write a string and a newline to stdout and report errors
    "write a string and a trailing newline to stdout and report errors"

SYNOPSIS
#include <libexplain/puts.h>

void explain_puts_or_die(const char *s);
int explain_puts_on_error(const char *s);

DESCRIPTION
The explain_puts_or_die function is used to call the puts(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_puts(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_puts_on_error function is used to call the puts(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_puts(3) function, but still returns to the caller.

s   The s, exactly as to be passed to the puts(3) system call.

RETURN VALUE
The explain_puts_or_die function only returns on success, see puts(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_puts_on_error function always returns the value return by the wrapped puts(3) system call.

EXAMPLE
The explain_puts_or_die function is intended to be used in a fashion similar to the following example:
    explain_puts_or_die(s);

SEE ALSO

puts(3)
    write a string and a trailing newline to stdout

explain_puts(3)
    explain puts(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.2
Copyright (C) 2009 Peter Miller